Create a fee template
curl --request POST \
--url https://api.synctera.com/v1/fee_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "USD",
"description": "Premium Customer ATM Fee",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"amount": 1000,
"is_enabled": true,
"metadata": {}
}
'import requests
url = "https://api.synctera.com/v1/fee_templates"
payload = {
"currency": "USD",
"description": "Premium Customer ATM Fee",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"amount": 1000,
"is_enabled": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'USD',
description: 'Premium Customer ATM Fee',
internal_account_id: '42943c51-e4ff-4e57-9558-08cab6b963c8',
amount: 1000,
is_enabled: true,
metadata: {}
})
};
fetch('https://api.synctera.com/v1/fee_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v1/fee_templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => 'USD',
'description' => 'Premium Customer ATM Fee',
'internal_account_id' => '42943c51-e4ff-4e57-9558-08cab6b963c8',
'amount' => 1000,
'is_enabled' => true,
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v1/fee_templates"
payload := strings.NewReader("{\n \"currency\": \"USD\",\n \"description\": \"Premium Customer ATM Fee\",\n \"internal_account_id\": \"42943c51-e4ff-4e57-9558-08cab6b963c8\",\n \"amount\": 1000,\n \"is_enabled\": true,\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.synctera.com/v1/fee_templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"USD\",\n \"description\": \"Premium Customer ATM Fee\",\n \"internal_account_id\": \"42943c51-e4ff-4e57-9558-08cab6b963c8\",\n \"amount\": 1000,\n \"is_enabled\": true,\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v1/fee_templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"USD\",\n \"description\": \"Premium Customer ATM Fee\",\n \"internal_account_id\": \"42943c51-e4ff-4e57-9558-08cab6b963c8\",\n \"amount\": 1000,\n \"is_enabled\": true,\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "85943c51-e4ff-4e57-9558-08cab6b96364",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"subtype": "ACCOUNT_CLOSURE",
"tenant": "abcdef_ghijkl",
"currency": "USD",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"is_enabled": true,
"amount": 1000,
"description": "Premium Customer ATM Fee",
"metadata": {}
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Fees
Create a fee template
Create a fee template A fee template defines the properties of a fee that a fintech wishes to use to easily charge their customers. The fintech can then create fee templates for different amounts or categories of fees that represent different instances of services or charges
POST
/
fee_templates
Create a fee template
curl --request POST \
--url https://api.synctera.com/v1/fee_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "USD",
"description": "Premium Customer ATM Fee",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"amount": 1000,
"is_enabled": true,
"metadata": {}
}
'import requests
url = "https://api.synctera.com/v1/fee_templates"
payload = {
"currency": "USD",
"description": "Premium Customer ATM Fee",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"amount": 1000,
"is_enabled": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'USD',
description: 'Premium Customer ATM Fee',
internal_account_id: '42943c51-e4ff-4e57-9558-08cab6b963c8',
amount: 1000,
is_enabled: true,
metadata: {}
})
};
fetch('https://api.synctera.com/v1/fee_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v1/fee_templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => 'USD',
'description' => 'Premium Customer ATM Fee',
'internal_account_id' => '42943c51-e4ff-4e57-9558-08cab6b963c8',
'amount' => 1000,
'is_enabled' => true,
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v1/fee_templates"
payload := strings.NewReader("{\n \"currency\": \"USD\",\n \"description\": \"Premium Customer ATM Fee\",\n \"internal_account_id\": \"42943c51-e4ff-4e57-9558-08cab6b963c8\",\n \"amount\": 1000,\n \"is_enabled\": true,\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.synctera.com/v1/fee_templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"USD\",\n \"description\": \"Premium Customer ATM Fee\",\n \"internal_account_id\": \"42943c51-e4ff-4e57-9558-08cab6b963c8\",\n \"amount\": 1000,\n \"is_enabled\": true,\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v1/fee_templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"USD\",\n \"description\": \"Premium Customer ATM Fee\",\n \"internal_account_id\": \"42943c51-e4ff-4e57-9558-08cab6b963c8\",\n \"amount\": 1000,\n \"is_enabled\": true,\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "85943c51-e4ff-4e57-9558-08cab6b96364",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"subtype": "ACCOUNT_CLOSURE",
"tenant": "abcdef_ghijkl",
"currency": "USD",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"is_enabled": true,
"amount": 1000,
"description": "Premium Customer ATM Fee",
"metadata": {}
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Authorizations
Body
application/json
Fee to create
A short string representing the sub-type of the fee. This will be used as the subtype of the resulting transaction.
Available options:
ACCOUNT_CLOSURE, ACCOUNT_FUNDING_AFT, ACH_INCOMING_TRANSFER, ACH_OUTGOING_TRANSFER, APPLICATION, ATM_BALANCE_INQUIRY, ATM_WITHDRAWAL, BALANCE_TRANSFER, BILL_PAY, CARD_DELIVERY, CARD_REPLACEMENT, CASH_ADVANCE, CASH_DEPOSIT, CHECK_ISSUANCE, CROSS_BORDER_TRANSACTION, EFT_TRANSFER, FOREIGN_ATM, FOREIGN_TRANSACTION, INACTIVITY, LATE_PAYMENT, MAINTENANCE, MISCELLANEOUS, ORIGINATION, OVERDRAFT, OVER_THE_LIMIT, RETURNED_ITEM, RETURNED_PAYMENT, STOP_PAYMENT, SUBSCRIPTION, WIRE_TRANSFER Response
Created fee template
A short string representing the sub-type of the fee. This will be used as the subtype of the resulting transaction.
Available options:
ACCOUNT_CLOSURE, ACCOUNT_CLOSURE_REVERSAL, ACCOUNT_FUNDING_AFT, ACCOUNT_FUNDING_AFT_REVERSAL, ACH_INCOMING_TRANSFER, ACH_INCOMING_TRANSFER_REVERSAL, ACH_OUTGOING_TRANSFER, ACH_OUTGOING_TRANSFER_REVERSAL, APPLICATION, APPLICATION_REVERSAL, ATM_BALANCE_INQUIRY, ATM_BALANCE_INQUIRY_REVERSAL, ATM_WITHDRAWAL, ATM_WITHDRAWAL_REVERSAL, BALANCE_TRANSFER, BALANCE_TRANSFER_REVERSAL, BILL_PAY, BILL_PAY_REVERSAL, CARD_DELIVERY, CARD_DELIVERY_REVERSAL, CARD_REPLACEMENT, CARD_REPLACEMENT_REVERSAL, CASH_ADVANCE, CASH_ADVANCE_REVERSAL, CASH_DEPOSIT, CASH_DEPOSIT_REVERSAL, CHECK_ISSUANCE, CHECK_ISSUANCE_REVERSAL, CROSS_BORDER_TRANSACTION, CROSS_BORDER_TRANSACTION_REVERSAL, EFT_TRANSFER, EFT_TRANSFER_REVERSAL, FOREIGN_ATM, FOREIGN_ATM_REVERSAL, FOREIGN_TRANSACTION, FOREIGN_TRANSACTION_REVERSAL, INACTIVITY, INACTIVITY_REVERSAL, LATE_PAYMENT, LATE_PAYMENT_REVERSAL, MAINTENANCE, MAINTENANCE_REVERSAL, MISCELLANEOUS, MISCELLANEOUS_REVERSAL, ORIGINATION, ORIGINATION_REVERSAL, OVERDRAFT, OVERDRAFT_REVERSAL, OVER_THE_LIMIT, OVER_THE_LIMIT_REVERSAL, RETURNED_ITEM, RETURNED_ITEM_REVERSAL, RETURNED_PAYMENT, RETURNED_PAYMENT_REVERSAL, STOP_PAYMENT, STOP_PAYMENT_REVERSAL, SUBSCRIPTION, SUBSCRIPTION_REVERSAL, WIRE_TRANSFER, WIRE_TRANSFER_REVERSAL Was this page helpful?

